package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pddserver.entity.LogOrderMailDetailEntity;
import org.ta.pddserver.mapper.LogOrderMailDetailMapper;
import org.ta.pddserver.service.LogOrderMailDetailService;

import java.util.List;

@Service
public class LogOrderMailDetailImpl extends ServiceImpl<LogOrderMailDetailMapper, LogOrderMailDetailEntity> implements LogOrderMailDetailService {

    public List<LogOrderMailDetailEntity> getListByCode(String logisticsOrderCode) {
        List<LogOrderMailDetailEntity> list = baseMapper.getListByCode(logisticsOrderCode);
        return list;
    }

    public LogOrderMailDetailEntity getByMailNo(String mailNo) {
        return baseMapper.findByMailNo(mailNo);
    }
}